Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78650 - Rebuilding kdenetwork srpm changes permissions of /usr/bin/consolehelper
Summary: Rebuilding kdenetwork srpm changes permissions of /usr/bin/consolehelper
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-27 00:36 UTC by Mike McLean
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-27 00:36:26 UTC


Attachments (Terms of Use)

Description Mike McLean 2002-11-27 00:36:19 UTC
* kdenetwork-3.0.3

Building kdenetwork (as root) spills out of buildroot and sets
/usr/bin/consolehelper to be suid root (which breaks it entirely).

kppp/Makefile.in contains:

install-exec-hook:
        @(chown root $(bindir)/kppp && chmod 4755 $(bindir)/kppp) || echo "Was
not able to make kppp setuid root"

Since in RH packages, /usr/bin/kppp is a symlink to consolehelper, it is
consolehelper that gets the suid root.  The GTK+ libs that consolehelper uses
tend to have a fit and exit when running suid root, so this more or less wrecks
consolehelper and the 50 or so tools that use it.

I know that one should be careful building rpms as root,  but that I also think
that packages should build as cleanly as possible.  Also, we don't exactly make
it easy for customers to build rpms as nonroot.  The default setup leans heavily
towards building as root in /usr/src/redhat.

see also bug#78646

Comment 1 Ngo Than 2002-12-10 11:12:03 UTC
It's fixed in 3.1-0.5 or newer.


Note You need to log in before you can comment on or make changes to this bug.